GPO nur bei FF ESR

Hier geht es um Fragen und Probleme mit den einzelnen Firefox-Versionen.
Antworten
Quatsch.Tante
Junior-Mitglied
Beiträge: 32
Registriert: Do, 17. Feb 2011 20:44

GPO nur bei FF ESR

#1

Beitrag von Quatsch.Tante Themen-Starter » Mo, 17. Sep 2018 12:59

Hi,

wieso sind die seit kurzem verfügbaren GPO-Templates teilweise nur für die ESR Versionen von FF verfügbar?
Nachdem ich mir neulich Mal wieder den aktuellen Stand der Group Policies angesehen habe, fand ich ein nützliches Feature, das ich gerne in meinen Nicht-ESR-Versionen nutzen wollte, nur leider nicht möglich.

In diesem konkreten Fall ging es um die Möglichkeit AddOns entweder einzeln oder gesammelt aus einem Verzeichnis zu installieren. Nur irgendwer hat die Entscheidung getroffen, dass diese GPO nur für ESR Versionen interessant sein könnte. Ist es aber nicht. Ich finde es überhaupt unglücklich, dass für einzelne Policies eine Unterscheidung gemacht wurde.

Kurzum, kann man die Entscheidungsfindung irgendwie beeinflussen? Es gibt außer der von mir oben genannten Policy noch andere, die ich gerne in meiner FF Version hätte.

Ja, ich weiß, dass es von Sören auch eine Erweiterung gibt FF zu customizen, jedoch möchte ich dazu nicht ein AddOn verwenden, sondern die bereits im LAN durch ein ActiveDirectory verfügbare Möglichkeit von GPOs.

Michael
FF 63.0, x64 (Win10 Pro, x64), lokaler FFSync im Docker Container auf Synology NAS DS916+

Benutzeravatar
Sören Hentzschel
Administrator
Beiträge: 18794
Registriert: Mi, 23. Nov 2011 0:39
Wohnort: Salzburg
Kontaktdaten:

Re: GPO nur bei FF ESR

#2

Beitrag von Sören Hentzschel » Mo, 17. Sep 2018 13:07

Hallo,

es gibt genau eine einzige Policy, welche nur in Firefox ESR verfügbar ist, nämlich die Anpassung der Suchmaschinen. Der Grund dafür ist die Verhinderung von Suchmaschinen-Hijacking in der Mainstream-Version, was ein ernsthaftes Problem in der Vergangenheit war.

Alle anderen Policies sind auch in der Mainstream-Version von Firefox verfügbar. Ich gehe davon aus, dass Firefox 62 eingesetzt wird. Denn das ist die Voraussetzung dafür, dass meine Aussage gilt. Und Firefox 62 ist ja auch die aktuelle Version.

Auch wenn du meine Erweiterung nicht nutzt, so sind doch zumindest die Release Notes meiner Erweiterung sehr informativ, weil sie über alle Änderungen an den verfügbaren Policies informieren:
policy to install, uninstall or lock extensions is no longer ESR only and is also available from Firefox 63, see #25
https://github.com/cadeyrn/enterprise-p ... tag/v3.0.0
policy to install, uninstall or lock extensions is also available from Firefox 62, see #36
https://github.com/cadeyrn/enterprise-p ... tag/v4.0.0


Meine Beiträge zum Firefox-Quellcode (4 Beiträge; Letzter Beitrag: 05.09.2018)

Quatsch.Tante
Junior-Mitglied
Beiträge: 32
Registriert: Do, 17. Feb 2011 20:44

Re: GPO nur bei FF ESR

#3

Beitrag von Quatsch.Tante Themen-Starter » Di, 18. Sep 2018 13:11

Sören Hentzschel hat geschrieben:
Mo, 17. Sep 2018 13:07
Auch wenn du meine Erweiterung nicht nutzt, so sind doch zumindest die Release Notes meiner Erweiterung sehr informativ, weil sie über alle Änderungen an den verfügbaren Policies informieren:
Perfekt, da muss ich dort doch Mal etwas reinlesen! Danke für den Tipp!

Und zum "ESR-Problem", ja, du hast Recht, da sind einige der ehemals ESR-only Policies jetzt auch in der RR-Version von Firefox vorhanden.
War mir gar nicht bewusst, habe aber auch in der letzten Zeit nicht mehr auf https://github.com/mozilla/policy-templates nachgesehen, sondern die Hilfetexte meiner damals eingespielten Firefox ADMX-Templates im Policy-Editor durchforstet und dort stand/steht immer noch ESR-Only, zumindest für das Installieren der AddOns.

Muss jetzt Mal die aktuelle Datei einspielen und schauen, ob sich da was getan hat.

Danke,
Michael
FF 63.0, x64 (Win10 Pro, x64), lokaler FFSync im Docker Container auf Synology NAS DS916+

Quatsch.Tante
Junior-Mitglied
Beiträge: 32
Registriert: Do, 17. Feb 2011 20:44

Re: GPO nur bei FF ESR

#4

Beitrag von Quatsch.Tante Themen-Starter » Di, 18. Sep 2018 19:25

So,

ich dachte mir schon, dass ich mich nicht verlesen habe! Habe gerade nochmals das aktuelle "Build" der Policy Templates geladen und erneut in den entsprechenden Ordner auf mein NAS kopiert. Die Templates sind von hier https://github.com/mozilla/policy-templates/releases.

Nachdem ich den GPO-Editor aufgerufen habe und mir die Policy für das Installieren von Erweiterungen nochmals angesehen habe, fand ich dies hier:
2018-09-18_191944.png
2018-09-18_191944.png (95.61 KiB) 170 mal betrachtet
Ich habe FF 62 RR im Einsatz, also entweder stimmen die (deutschen) Hilfetexte nicht oder es ist definitiv nicht möglich Erweiterungen über GPO für die RR-Version zu installieren.

Michael
FF 63.0, x64 (Win10 Pro, x64), lokaler FFSync im Docker Container auf Synology NAS DS916+

Benutzeravatar
Sören Hentzschel
Administrator
Beiträge: 18794
Registriert: Mi, 23. Nov 2011 0:39
Wohnort: Salzburg
Kontaktdaten:

Re: GPO nur bei FF ESR

#5

Beitrag von Sören Hentzschel » Di, 18. Sep 2018 19:31

Die Policy funktioniert definitiv in Firefox 62, siehe https://bugzilla.mozilla.org/show_bug.cgi?id=1463846. Dass die Beschreibungen in dem Template nicht aktuell sind, das mag sein.


Meine Beiträge zum Firefox-Quellcode (4 Beiträge; Letzter Beitrag: 05.09.2018)

Quatsch.Tante
Junior-Mitglied
Beiträge: 32
Registriert: Do, 17. Feb 2011 20:44

Re: GPO nur bei FF ESR

#6

Beitrag von Quatsch.Tante Themen-Starter » Di, 18. Sep 2018 20:05

Sören Hentzschel hat geschrieben:
Di, 18. Sep 2018 19:31
Die Policy funktioniert definitiv in Firefox 62, siehe https://bugzilla.mozilla.org/show_bug.cgi?id=1463846. Dass die Beschreibungen in dem Template nicht aktuell sind, das mag sein.
Korrekt! Habs gerade in einer VM ausprobiert, funktioniert wunderbar mit FF 62 RR.

Danke und Gruß,
Michael
FF 63.0, x64 (Win10 Pro, x64), lokaler FFSync im Docker Container auf Synology NAS DS916+

Antworten

Wer ist online?

Mitglieder in diesem Forum: Bing [Bot], Exabot [Bot], KlausM und 17 Gäste